
GammaLib - Action #1300

Add pre-computation cache to GModelSpatialRadialGauss

07/26/2014 12:33 AM - Knödlseder Jürgen

Status: Closed Start date: 07/26/2014

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

I recognized that GModelSpatialRadialGauss has no pre-computation cache. A bunch of multiplications and one division can be

saved when all sigma related stuff is cached, which then would be only recomputed when the sigma value changes.

History

#1 - 10/30/2014 12:14 AM - Knödlseder Jürgen

- Description updated

#2 - 07/08/2019 10:55 AM - Knödlseder Jürgen

- Target version set to 1.7.0

#3 - 07/09/2020 03:20 PM - Knödlseder Jürgen

Moved issue to next release.

#4 - 07/09/2020 03:21 PM - Knödlseder Jürgen

- Target version changed from 1.7.0 to 2.0.0

#5 - 10/21/2020 10:23 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 50

I implemented caching. The tables below compare the performance before and after implementation of the caching. The speed-up is negligible.

Before caching:  

Model CPU_r Iter_r logL_r CPU_n Iter_n logL_n Speed-up Comments

Gaussian 307.80 2 118106.615 16.55 2 118106.615 18.6 identical

results

After caching:  

Model CPU_r Iter_r logL_r CPU_n Iter_n logL_n Speed-up Comments

Gaussian 307.80 2 118106.615 16.28 2 118106.615 18.9 identical

results

#6 - 10/21/2020 12:55 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 50 to 100
Code merged into devel.
